<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" usemap="#a_semantic_search_implementation_8_additional_rule" alt=""/>
<map name="_semantic_search_implementation_8_additional_rule" id="a_semantic_search_implementation_8_additional_rule">
<area shape="rect" href="class_semantic_search_implementation_1_1_additional_rule.html" title=" " alt="" coords="5,5,216,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" usemap="#a_semantic_search_implementation_8_application_profile" alt=""/>
<map name="_semantic_search_implementation_8_application_profile" id="a_semantic_search_implementation_8_application_profile">
<area shape="rect" href="class_semantic_search_implementation_1_1_application_profile.html" title="Contains methods for an application profile." alt="" coords="5,5,216,47"/>
<area shape="rect" href="class_semantic_search_implementation_1_1_specific_application_profile.html" title="Represents a specific application profile." alt="" coords="264,5,475,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" usemap="#a_semantic_search_implementation_8_data_type_parser" alt=""/>
<map name="_semantic_search_implementation_8_data_type_parser" id="a_semantic_search_implementation_8_data_type_parser">
<area shape="rect" href="class_semantic_search_implementation_1_1_data_type_parser.html" title=" " alt="" coords="5,5,216,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" usemap="#a_semantic_search_implementation_8_elasticsearch_index_mapper" alt=""/>
<map name="_semantic_search_implementation_8_elasticsearch_index_mapper" id="a_semantic_search_implementation_8_elasticsearch_index_mapper">
<area shape="rect" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html" title=" " alt="" coords="5,5,216,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" usemap="#a_semantic_search_implementation_8_i_rdf_connector" alt=""/>
<map name="_semantic_search_implementation_8_i_rdf_connector" id="a_semantic_search_implementation_8_i_rdf_connector">
<area shape="rect" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html" title=" " alt="" coords="5,5,216,47"/>
<area shape="rect" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html" title=" " alt="" coords="264,5,475,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_5.png" border="0" usemap="#a_semantic_search_implementation_8_i_search_client" alt=""/>
<map name="_semantic_search_implementation_8_i_search_client" id="a_semantic_search_implementation_8_i_search_client">
<area shape="rect" href="interface_semantic_search_implementation_1_1_i_search_client.html" title="Provides all necessary functions to implement a document&#45;based search engine." alt="" coords="5,5,216,47"/>
<area shape="rect" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html" title="Implements necessary functions to use Elasticsearch as a search engine." alt="" coords="264,5,475,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_6.png" border="0" usemap="#a_semantic_search_implementation_8_literal_rule" alt=""/>
<map name="_semantic_search_implementation_8_literal_rule" id="a_semantic_search_implementation_8_literal_rule">
<area shape="rect" href="class_semantic_search_implementation_1_1_literal_rule.html" title=" " alt="" coords="5,5,216,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_7.png" border="0" usemap="#a_semantic_search_implementation_8_not_indexable_exception" alt=""/>
<map name="_semantic_search_implementation_8_not_indexable_exception" id="a_semantic_search_implementation_8_not_indexable_exception">
<area shape="rect" title=" " alt="" coords="5,13,85,39"/>
<area shape="rect" href="class_semantic_search_implementation_1_1_not_indexable_exception.html" title="Exception which is thrown if a triple of a metadata graph could not be indexed." alt="" coords="133,5,344,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_8.png" border="0" usemap="#a_semantic_search_implementation_8_rdf_client" alt=""/>
<map name="_semantic_search_implementation_8_rdf_client" id="a_semantic_search_implementation_8_rdf_client">
<area shape="rect" href="class_semantic_search_implementation_1_1_rdf_client.html" title=" " alt="" coords="5,5,216,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_9.png" border="0" usemap="#a_semantic_search_implementation_8_rdf_search_mapper" alt=""/>
<map name="_semantic_search_implementation_8_rdf_search_mapper" id="a_semantic_search_implementation_8_rdf_search_mapper">
<area shape="rect" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html" title="Contains the main logic to use a document&#45;based search engine for RDF&#45;based metadata records." alt="" coords="5,5,216,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_10.png" border="0" usemap="#a_semantic_search_implementation_8_semantic_search" alt=""/>
<map name="_semantic_search_implementation_8_semantic_search" id="a_semantic_search_implementation_8_semantic_search">
<area shape="rect" href="class_semantic_search_implementation_1_1_semantic_search.html" title="Entry class which interprets the command line arguments and calls corresponding functions." alt="" coords="5,5,216,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_11.png" border="0" usemap="#a_semantic_search_implementation_8_semantic_search_8_options" alt=""/>
<map name="_semantic_search_implementation_8_semantic_search_8_options" id="a_semantic_search_implementation_8_semantic_search_8_options">
<area shape="rect" href="class_semantic_search_implementation_1_1_semantic_search_1_1_options.html" title="Class to define valid options, and to receive the parsed options." alt="" coords="5,5,216,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_12.png" border="0" usemap="#a_semantic_search_implementation_8_uris" alt=""/>
<map name="_semantic_search_implementation_8_uris" id="a_semantic_search_implementation_8_uris">
<area shape="rect" href="class_semantic_search_implementation_1_1_uris.html" title="Contains only constants for URIs and CURIEs." alt="" coords="5,5,239,32"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
